Index: issm/branches/trunk-jpl-damage/src/c/modules/Bamgx/Bamgx.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/Bamgx/Bamgx.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/Bamgx/Bamgx.cpp	(revision 12878)
@@ -3,5 +3,5 @@
  */
 #include "./Bamgx.h"
-#include "../../objects/objects.h"
+#include "../../classes/bamg/bamgobjects.h"
 #include "../../shared/shared.h"
 #include "../../include/include.h"
@@ -38,9 +38,9 @@
 	/*If no mesh in input, generate one*/
 	if(bamgmesh_in->TrianglesSize[0]==0){
-		/*Mesh generation {{{1*/
+		/*Mesh generation {{{*/
 
 		//Step1: generate geometry Gh
-		if (verbosity>0) printf("Construction of a mesh from a given geometry\n");
-		if (verbosity>1) printf("   Processing geometry...\n");
+		if (verbosity>0) _printLine_("Construction of a mesh from a given geometry");
+		if (verbosity>1) _printLine_("   Processing geometry...");
 		Geometry Gh(bamggeom_in,bamgopts);
 
@@ -50,5 +50,5 @@
 
 		//build metric using geometry
-		if (verbosity>1) printf("   Generating Metric...\n");
+		if (verbosity>1) _printLine_("   Generating Metric...");
 		for(i=0;i<Gh.nbv;i++){
 			Metric M=Gh[i];
@@ -60,5 +60,5 @@
 
 		//generate mesh
-		if (verbosity>1) printf("   Generating Mesh...\n");
+		if (verbosity>1) _printLine_("   Generating Mesh...");
 		Mesh Th(maxnbv,Gh,bamgopts);
 
@@ -73,7 +73,7 @@
 
 		//Build output
-		if (verbosity>1) printf("   Write Mesh...\n");
+		if (verbosity>1) _printLine_("   Write Mesh...");
 		Th.WriteMesh(bamgmesh_out,bamgopts);
-		if (verbosity>1) printf("   Write Geometry...\n");
+		if (verbosity>1) _printLine_("   Write Geometry...");
 		Gh.WriteGeometry(bamggeom_out,bamgopts);
 
@@ -84,9 +84,9 @@
 	}
 	else{
-		/*Anisotropic mesh adaptation {{{1*/
+		/*Anisotropic mesh adaptation {{{*/
 
 		// read background mesh 
-		if (verbosity>0) printf("Anisotropic mesh adaptation\n");
-		if (verbosity>1) printf("   Processing initial mesh and geometry...\n");
+		if (verbosity>0) _printLine_("Anisotropic mesh adaptation");
+		if (verbosity>1) _printLine_("   Processing initial mesh and geometry...");
 		Mesh BTh(bamggeom_in,bamgmesh_in,bamgopts); 
 
@@ -100,9 +100,9 @@
 		//Generate initial metric
 		if (bamgopts->metric){
-			if (verbosity>1) printf("   Processing Metric...\n");
+			if (verbosity>1) _printLine_("   Processing Metric...");
 			BTh.ReadMetric(bamgopts);
 		}
 		else { 
-			if (verbosity>1) printf("   Generating initial Metric...\n");
+			if (verbosity>1) _printLine_("   Generating initial Metric...");
 			Metric Mhmax(bamgopts->hmax);
 			for (int iv=0;iv<BTh.nbv;iv++) BTh[iv].m = Mhmax;
@@ -111,5 +111,5 @@
 		//use present fields to generate metric if present
 		if (bamgopts->field){
-			if (verbosity>1) printf("   Merge metric with field provided...\n");
+			if (verbosity>1) _printLine_("   Merge metric with field provided...");
 			BTh.AddMetric(bamgopts);
 		}
@@ -117,7 +117,7 @@
 		// change using hVertices if provided
 		if(bamgopts->hVertices && bamgopts->hVerticesSize[0]==BTh.nbv){
-			if (verbosity>1) printf("   Merging Metric with hVertices...\n");
+			if (verbosity>1) _printLine_("   Merging Metric with hVertices...");
 			for (i=0;i<BTh.nbv;i++){
-				if (!isnan(bamgopts->hVertices[i])){
+				if (!xIsNan<IssmDouble>(bamgopts->hVertices[i])){
 					BTh[i].m=Metric((float)bamgopts->hVertices[i]);
 				}
@@ -127,7 +127,7 @@
 		// change using hminVertices if provided
 		if (bamgopts->hminVertices){
-			if (verbosity>1) printf("   Merging Metric with hminVertices...\n");
+			if (verbosity>1) _printLine_("   Merging Metric with hminVertices...");
 			for (i=0;i<BTh.nbv;i++){
-				if (!isnan(bamgopts->hminVertices[i])){
+				if (!xIsNan<IssmDouble>(bamgopts->hminVertices[i])){
 					Metric M=BTh.vertices[i].m;
 					EigenMetric Vp(M/coef);
@@ -140,7 +140,7 @@
 		// change using hmaxVertices if provided
 		if (bamgopts->hmaxVertices){
-			if (verbosity>1) printf("   Merging Metric with hmaxVertices...\n");
+			if (verbosity>1) _printLine_("   Merging Metric with hmaxVertices...");
 			for (i=0;i<BTh.nbv;i++){
-				if (!isnan(bamgopts->hmaxVertices[i])){
+				if (!xIsNan<IssmDouble>(bamgopts->hmaxVertices[i])){
 					Metric M=BTh.vertices[i].m;
 					EigenMetric Vp(M/coef);
@@ -164,5 +164,5 @@
 
 		//Build new mesh
-		if (verbosity>1) printf("   Generating Mesh...\n");
+		if (verbosity>1) _printLine_("   Generating Mesh...");
 		Thr=&BTh,Thb=0;
 		Mesh & Th( *(0 ?  new Mesh(*Thr,&Thr->Gh,Thb,maxnbv) :  new Mesh(maxnbv,BTh,bamgopts,bamgopts->KeepVertices)));
@@ -185,17 +185,17 @@
 		if(verbosity>0) {
 			if (Th.nbt-Th.nbtout-Th.nbq*2){
-				printf("   new number of triangles = %i\n",(Th.nbt-Th.nbtout-Th.nbq*2));
+				_printLine_("   new number of triangles = " << (Th.nbt-Th.nbtout-Th.nbq*2));
 			}
 			if (Th.nbq ){
-				printf("   new number of quads = %i\n",Th.nbq);
+				_printLine_("   new number of quads = " << Th.nbq);
 			}
 		}
 
 		//Build output
-		if (verbosity>1) printf("   Write Mesh...\n");
+		if (verbosity>1) _printLine_("   Write Mesh...");
 		Th.WriteMesh(bamgmesh_out,bamgopts);
-		if (verbosity>1) printf("   Write Geometry...\n");
+		if (verbosity>1) _printLine_("   Write Geometry...");
 		Th.Gh.WriteGeometry(bamggeom_out,bamgopts);
-		if (verbosity>1) printf("   Write Metric...\n");
+		if (verbosity>1) _printLine_("   Write Metric...");
 		BTh.WriteMetric(bamgopts);
 
@@ -207,5 +207,5 @@
 
 	/*No error return*/
-	if (verbosity>1) printf("   Exiting Bamg.\n");
+	if (verbosity>1) _printLine_("   Exiting Bamg.");
 	return noerr;
 
Index: issm/branches/trunk-jpl-damage/src/c/modules/Bamgx/Bamgx.h
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/Bamgx/Bamgx.h	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/Bamgx/Bamgx.h	(revision 12878)
@@ -6,5 +6,5 @@
 #define _BAMGX_H
 
-#include "../../objects/objects.h"
+#include "../../classes/bamg/bamgobjects.h"
 
 /* local prototypes: */
Index: issm/branches/trunk-jpl-damage/src/c/modules/Chacox/Chacox.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/Chacox/Chacox.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/Chacox/Chacox.cpp	(revision 12878)
@@ -66,10 +66,10 @@
 
 	if (DEBUG_TRACE > 0) {
-		printf("<Entering main>\n");
+		_printLine_("<Entering main>");
 	}
 
 	if (PRINT_HEADERS) {
-		printf("\n                    Chaco 2.0\n");
-		printf("          Sandia National Laboratories\n\n");
+		_printLine_("\n                    Chaco 2.0");
+		_printLine_("          Sandia National Laboratories\n");
 	}
 
@@ -177,5 +177,5 @@
 
 	if (DEBUG_MEMORY > 0) {
-		printf("\n");
+		_printLine_("");
 		smalloc_stats();
 	}
@@ -185,5 +185,5 @@
 
 	if (DEBUG_TRACE > 1) {
-		printf("<Leaving main>\n");
+		_printLine_("<Leaving main>");
 	}
 	
Index: issm/branches/trunk-jpl-damage/src/c/modules/Chacox/Chacox.h
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/Chacox/Chacox.h	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/Chacox/Chacox.h	(revision 12878)
@@ -33,5 +33,5 @@
 
 #include "../../Container/Container.h"
-#include "../../objects/objects.h"
+#include "../../classes/objects/objects.h"
 
 /* local prototypes: */
Index: issm/branches/trunk-jpl-damage/src/c/modules/Chacox/input_parse.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/Chacox/input_parse.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/Chacox/input_parse.cpp	(revision 12878)
@@ -38,13 +38,13 @@
 
 	if (DEBUG_TRACE > 0) {
-		printf("<Entering input_parse>\n");
+		_printLine_("<Entering input_parse>");
 	}
 
 	if (PROMPT) {
-		printf("Parallel machine architecture:\n");
-		printf("  (0) Hypercube\n");
-		printf("  (1) One-dimensional mesh\n");
-		printf("  (2) Two-dimensional mesh\n");
-		printf("  (3) Three-dimensional mesh\n");
+		_printLine_("Parallel machine architecture:");
+		_printLine_("  (0) Hypercube");
+		_printLine_("  (1) One-dimensional mesh");
+		_printLine_("  (2) Two-dimensional mesh");
+		_printLine_("  (3) Three-dimensional mesh");
 	}
 	*architecture = (int)options[OPT_ARCH];
@@ -57,10 +57,10 @@
 	/* Name output assignment file. */
 	if (PROMPT)
-		printf("Assignment output file: ");
+		_printString_("Assignment output file: ");
 	outassignname = NULL;
 
 	/* Name output results file. */
 	if (PROMPT)
-		printf("File name for saving run results: ");
+		_printString_("File name for saving run results: ");
 	outfilename = NULL;
 
@@ -75,12 +75,12 @@
 	else {
 		if (PROMPT) {
-			printf("Global partitioning method:\n");
-			printf("  (1) Multilevel-KL\n");
-			printf("  (2) Spectral\n");
-			printf("  (3) Inertial\n");
-			printf("  (4) Linear\n");
-			printf("  (5) Random\n");
-			printf("  (6) Scattered\n");
-			printf("  (7) Read-from-file\n");
+			_printLine_("Global partitioning method:");
+			_printLine_("  (1) Multilevel-KL");
+			_printLine_("  (2) Spectral");
+			_printLine_("  (3) Inertial");
+			_printLine_("  (4) Linear");
+			_printLine_("  (5) Random");
+			_printLine_("  (6) Scattered");
+			_printLine_("  (7) Read-from-file");
 		}
 		*global_method = (int)options[OPT_GLOBAL];
@@ -94,17 +94,17 @@
 	if (*global_method == 7) {	/* Name and open input assignment file. */
 		if (PROMPT)
-			printf("Assignment input file: ");
+			_printString_("Assignment input file: ");
 	}
 
 	else if (*global_method == 3) {
 		if (PROMPT)
-			printf("Geometry input file name: ");
+			_printString_("Geometry input file name: ");
 	}
 
 	else if (*global_method == 2) {
 		if (PROMPT) {
-			printf("Eigensolver:\n");
-			printf("  (1) Multilevel RQI/Symmlq\n");
-			printf("  (2) Lanczos\n"); 
+			_printLine_("Eigensolver:");
+			_printLine_("  (1) Multilevel RQI/Symmlq");
+			_printLine_("  (2) Lanczos"); 
 		}
 		eigensolver = (int)options[OPT_RQI];
@@ -117,9 +117,9 @@
 			if (MATCH_TYPE == 5) {	/* geometric matching */
 				if (PROMPT)
-					printf("Geometry input file name: ");
+					_printString_("Geometry input file name: ");
 			}
 			*rqi_flag = 1;
 			if (PROMPT)
-				printf("Number of vertices to coarsen down to: ");
+				_printString_("Number of vertices to coarsen down to: ");
 			*vmax = (int)options[OPT_VMAX];
 			if (*vmax <= 0) {
@@ -137,8 +137,8 @@
 		if (MATCH_TYPE == 5) {		/* geometric matching */
 			if (PROMPT)
-				printf("Geometry input file name: ");
-		}
-		if (PROMPT)
-			printf("Number of vertices to coarsen down to: ");
+				_printString_("Geometry input file name: ");
+		}
+		if (PROMPT)
+			_printString_("Number of vertices to coarsen down to: ");
 		*vmax = (int)options[OPT_VMAX];
 		if (*vmax <= 0) {
@@ -168,7 +168,7 @@
 	else {
 		if (PROMPT) {
-			printf("Local refinement method:\n");
-			printf("  (1) Kernighan-Lin\n");
-			printf("  (2) None\n");
+			_printLine_("Local refinement method:");
+			_printLine_("  (1) Kernighan-Lin");
+			_printLine_("  (2) None");
 		}
 		*local_method = (int)options[OPT_LOCAL];
@@ -185,8 +185,8 @@
 		*ndims_tot = 0;
 		if (PROMPT)
-			printf("Total number of target hypercube dimensions: ");
+			_printString_("Total number of target hypercube dimensions: ");
 		*ndims_tot = nparts[0];
 		if (*ndims_tot < 1) {
-			printf(" Number of divisions must be at least 1\n");
+			_printLine_(" Number of divisions must be at least 1");
 			printf("%s -- Number of divisions %d must be at least 1.\n",
 				   __FUNCT__,nparts[0]);
@@ -200,5 +200,5 @@
 		if (*architecture == 2) {
 			if (PROMPT)
-				printf("X and Y extent of of 2-D mesh: ");
+				_printString_("X and Y extent of of 2-D mesh: ");
 			mesh_dims[0] = nparts[0];
 			mesh_dims[1] = nparts[1];
@@ -206,5 +206,5 @@
 		else if (*architecture == 3) {
 			if (PROMPT)
-				printf("X, Y and Z extent of 3-D mesh: ");
+				_printString_("X, Y and Z extent of 3-D mesh: ");
 			mesh_dims[0] = nparts[0];
 			mesh_dims[1] = nparts[1];
@@ -213,5 +213,5 @@
 		else {			/* Anything else => 1-D mesh */
 			if (PROMPT)
-				printf("Size of 1-D mesh: ");
+				_printString_("Size of 1-D mesh: ");
 			mesh_dims[0] = nparts[0];
 			*architecture = 1;
@@ -227,7 +227,7 @@
 	else if (*nprocs <= 7) {
 		if (PROMPT) {
-			printf("Partitioning dimension: \n");
-			printf("  (1) Bisection\n");
-			printf("  (2) Quadrisection\n");
+			_printLine_("Partitioning dimension: ");
+			_printLine_("  (1) Bisection");
+			_printLine_("  (2) Quadrisection");
 		}
 		*ndims = (int)options[OPT_NDIMS];
@@ -240,8 +240,8 @@
 	else {
 		if (PROMPT) {
-			printf("Partitioning dimension: \n");
-			printf("  (1) Bisection\n");
-			printf("  (2) Quadrisection\n");
-			printf("  (3) Octasection\n");
+			_printLine_("Partitioning dimension: ");
+			_printLine_("  (1) Bisection");
+			_printLine_("  (2) Quadrisection");
+			_printLine_("  (3) Octasection");
 		}
 		*ndims = (int)options[OPT_NDIMS];
Index: issm/branches/trunk-jpl-damage/src/c/modules/ComputeBasalStressx/ComputeBasalStressx.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/ComputeBasalStressx/ComputeBasalStressx.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/ComputeBasalStressx/ComputeBasalStressx.cpp	(revision 12878)
@@ -15,5 +15,5 @@
 	int i;
 	int      found=0;
-	double   numberofelements;
+	IssmDouble   numberofelements;
 	Element* element=NULL;
 
@@ -25,5 +25,5 @@
 
 	/*Allocate sigma on numberofelements: */
-	sigma=new Vector((int)numberofelements);
+	sigma=new Vector(reCast<int>(numberofelements));
 
 	/*Compute basal stress for each element: */
Index: issm/branches/trunk-jpl-damage/src/c/modules/ComputeBasalStressx/ComputeBasalStressx.h
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/ComputeBasalStressx/ComputeBasalStressx.h	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/ComputeBasalStressx/ComputeBasalStressx.h	(revision 12878)
@@ -6,5 +6,5 @@
 #define _COMPUTEBASALSTRESSX_H
 
-#include "../../objects/objects.h"
+#include "../../classes/objects/objects.h"
 #include "../../Container/Container.h"
 
Index: issm/branches/trunk-jpl-damage/src/c/modules/ComputeStrainRatex/ComputeStrainRatex.h
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/ComputeStrainRatex/ComputeStrainRatex.h	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/ComputeStrainRatex/ComputeStrainRatex.h	(revision 12878)
@@ -6,5 +6,5 @@
 #define _COMPUTESTRAINRATEX_H
 
-#include "../../objects/objects.h"
+#include "../../classes/objects/objects.h"
 #include "../../Container/Container.h"
 
Index: issm/branches/trunk-jpl-damage/src/c/modules/ConfigureObjectsx/ConfigureObjectsx.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/ConfigureObjectsx/ConfigureObjectsx.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/ConfigureObjectsx/ConfigureObjectsx.cpp	(revision 12878)
@@ -25,10 +25,10 @@
 	parameters->FindParam(&configuration_type,ConfigurationTypeEnum);
 	
-	_printf_(VerboseMProcessor(),"      Configuring elements...\n");
+	if(VerboseMProcessor()) _pprintLine_("      Configuring elements...");
 	for (i=0;i<elements->Size();i++){
 		element=(Element*)elements->GetObjectByOffset(i);
 		element->Configure(elements,loads,nodes,materials,parameters);
 	}
-	_printf_(VerboseMProcessor(),"      Configuring loads...\n");
+	if(VerboseMProcessor()) _pprintLine_("      Configuring loads...");
 	for (i=0;i<loads->Size();i++){
 		load=(Load*)loads->GetObjectByOffset(i);
@@ -37,5 +37,5 @@
 		}
 	}
-	_printf_(VerboseMProcessor(),"      Configuring nodes...\n");
+	if(VerboseMProcessor()) _pprintLine_("      Configuring nodes...");
 	for (i=0;i<nodes->Size();i++){
 		node=(Node*)nodes->GetObjectByOffset(i);
@@ -45,5 +45,5 @@
 	}
 	
-	_printf_(VerboseMProcessor(),"      Configuring materials...\n");
+	if(VerboseMProcessor()) _pprintLine_("      Configuring materials...");
 	for (i=0;i<materials->Size();i++){
 		material=(Material*)materials->GetObjectByOffset(i);
Index: issm/branches/trunk-jpl-damage/src/c/modules/ConstraintsStatex/ConstraintsStateLocal.h
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/ConstraintsStatex/ConstraintsStateLocal.h	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/ConstraintsStatex/ConstraintsStateLocal.h	(revision 12878)
@@ -7,5 +7,5 @@
 
 #include "../../Container/Container.h"
-#include "../../objects/objects.h"
+#include "../../classes/objects/objects.h"
 
 /*melting: */
Index: issm/branches/trunk-jpl-damage/src/c/modules/ConstraintsStatex/ConstraintsStatex.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/ConstraintsStatex/ConstraintsStatex.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/ConstraintsStatex/ConstraintsStatex.cpp	(revision 12878)
@@ -25,5 +25,5 @@
 
 	/*Display message*/
-	_printf_(VerboseModule(),"   Constraining penalties\n");
+	if(VerboseModule()) _pprintLine_("   Constraining penalties");
 
 	/*recover parameters: */
Index: issm/branches/trunk-jpl-damage/src/c/modules/ConstraintsStatex/ConstraintsStatex.h
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/ConstraintsStatex/ConstraintsStatex.h	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/ConstraintsStatex/ConstraintsStatex.h	(revision 12878)
@@ -7,5 +7,5 @@
 
 #include "../../Container/Container.h"
-#include "../../objects/objects.h"
+#include "../../classes/objects/objects.h"
 
 /* local prototypes: */
Index: issm/branches/trunk-jpl-damage/src/c/modules/ConstraintsStatex/RiftConstraintsState.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/ConstraintsStatex/RiftConstraintsState.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/ConstraintsStatex/RiftConstraintsState.cpp	(revision 12878)
@@ -12,5 +12,5 @@
 
 /*current module: */
-/*RiftIsPresent(Loads* loads,int configuration_type){{{1*/
+/*RiftIsPresent(Loads* loads,int configuration_type){{{*/
 int RiftIsPresent(Loads* loads,int configuration_type){
 
@@ -41,5 +41,5 @@
 }
 /*}}}*/
-/*RiftConstraintsState(int* pconverged, int* pnum_unstable_constraints,Loads* loads,int min_mechanical_constraints,int configuration_type){{{1*/
+/*RiftConstraintsState(int* pconverged, int* pnum_unstable_constraints,Loads* loads,int min_mechanical_constraints,int configuration_type){{{*/
 void RiftConstraintsState(int* pconverged, int* pnum_unstable_constraints,Loads* loads,int min_mechanical_constraints,int configuration_type){
 
@@ -56,5 +56,5 @@
 	}
 	else if(num_unstable_constraints<=min_mechanical_constraints){
-		_printf_(VerboseModule(),"   freezing constraints\n");
+		if(VerboseModule()) _pprintLine_("   freezing constraints");
 		RiftFreezeConstraints(loads,configuration_type);
 	}
@@ -65,5 +65,5 @@
 }
 /*}}}*/
-/*RiftConstrain(int* pnum_unstable_constraints,Loads* loads,int configuration_type){{{1*/
+/*RiftConstrain(int* pnum_unstable_constraints,Loads* loads,int configuration_type){{{*/
 void RiftConstrain(int* pnum_unstable_constraints,Loads* loads,int configuration_type){
 
@@ -106,5 +106,5 @@
 }
 /*}}}*/
-/*RiftIsFrozen(Loads* loads,int configuration_type){{{1*/
+/*RiftIsFrozen(Loads* loads,int configuration_type){{{*/
 int RiftIsFrozen(Loads* loads,int configuration_type){
 
@@ -144,5 +144,5 @@
 }
 /*}}}*/
-/*RiftFreezeConstraints(Loads* loads,int configuration_type){{{1*/
+/*RiftFreezeConstraints(Loads* loads,int configuration_type){{{*/
 void RiftFreezeConstraints(Loads* loads,int configuration_type){
 
@@ -172,5 +172,5 @@
 
 /*diverse trials and errors: */
-/*RiftIsMaterialStable(Loads* loads){{{1*/
+/*RiftIsMaterialStable(Loads* loads){{{*/
 int RiftIsMaterialStable(Loads* loads){
 
@@ -204,5 +204,5 @@
 }
 /*}}}*/
-/*RiftIsPreStable(Loads* loads){{{1*/
+/*RiftIsPreStable(Loads* loads){{{*/
 int RiftIsPreStable(Loads* loads){
 
@@ -243,5 +243,5 @@
 }
 /*}}}*/
-/*RiftSetPreStable(Loads* loads){{{1*/
+/*RiftSetPreStable(Loads* loads){{{*/
 void RiftSetPreStable(Loads* loads){
 
@@ -264,5 +264,5 @@
 }
 /*}}}*/
-/*RiftPreConstrain(int* pnum_unstable_constraints,Loads* loads){{{1*/
+/*RiftPreConstrain(int* pnum_unstable_constraints,Loads* loads){{{*/
 void RiftPreConstrain(int* pnum_unstable_constraints,Loads* loads){
 
@@ -300,5 +300,5 @@
 }
 /*}}}*/
-/*RiftMaxPenetrationInInputs(Loads* loads){{{1*/
+/*RiftMaxPenetrationInInputs(Loads* loads){{{*/
 void RiftMaxPenetrationInInputs(Loads* loads){
 
@@ -309,7 +309,7 @@
 
 	/*rift penetration: */
-	double max_penetration=0;
-	double mpi_max_penetration;
-	double penetration;
+	IssmDouble max_penetration=0;
+	IssmDouble mpi_max_penetration;
+	IssmDouble penetration;
 
 	/*Ok, we are going to find the node pairs which are not penetrating, even though they 
@@ -342,5 +342,5 @@
 }
 /*}}}*/
-/*RiftPotentialUnstableConstraints(Loads* loads){{{1*/
+/*RiftPotentialUnstableConstraints(Loads* loads){{{*/
 int RiftPotentialUnstableConstraints(Loads* loads){
 
Index: issm/branches/trunk-jpl-damage/src/c/modules/ContourToMeshx/ContourToMeshx.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/ContourToMeshx/ContourToMeshx.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/ContourToMeshx/ContourToMeshx.cpp	(revision 12878)
@@ -70,5 +70,5 @@
 
 	/*Free ressources:*/
-	xfree((void**)&in_nod_serial);
+	xDelete<double>(in_nod_serial);
 
 	return noerr;
Index: issm/branches/trunk-jpl-damage/src/c/modules/ContourToMeshx/ContourToMeshx.h
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/ContourToMeshx/ContourToMeshx.h	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/ContourToMeshx/ContourToMeshx.h	(revision 12878)
@@ -8,5 +8,5 @@
 
 #include "../../shared/shared.h"
-#include "../../objects/objects.h"
+#include "../../classes/objects/objects.h"
 
 /*threading: */
Index: issm/branches/trunk-jpl-damage/src/c/modules/ContourToNodesx/ContourToNodesx.h
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/ContourToNodesx/ContourToNodesx.h	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/ContourToNodesx/ContourToNodesx.h	(revision 12878)
@@ -8,5 +8,5 @@
 
 #include "../../shared/shared.h"
-#include "../../objects/objects.h"
+#include "../../classes/objects/objects.h"
 
 /* local prototypes: */
Index: issm/branches/trunk-jpl-damage/src/c/modules/ControlInputGetGradientx/ControlInputGetGradientx.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/ControlInputGetGradientx/ControlInputGetGradientx.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/ControlInputGetGradientx/ControlInputGetGradientx.cpp	(revision 12878)
@@ -33,5 +33,5 @@
 
 	/*Clean up and return*/
-	xfree((void**)&control_type);
+	xDelete<int>(control_type);
 	*pgradient=gradient;
 }
Index: issm/branches/trunk-jpl-damage/src/c/modules/ControlInputGetGradientx/ControlInputGetGradientx.h
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/ControlInputGetGradientx/ControlInputGetGradientx.h	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/ControlInputGetGradientx/ControlInputGetGradientx.h	(revision 12878)
@@ -5,5 +5,5 @@
 #define _CONTROLINPUTGETGRADIENTX_H
 
-#include "../../objects/objects.h"
+#include "../../classes/objects/objects.h"
 #include "../../Container/Container.h"
 
Index: issm/branches/trunk-jpl-damage/src/c/modules/ControlInputScaleGradientx/ControlInputScaleGradientx.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/ControlInputScaleGradientx/ControlInputScaleGradientx.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/ControlInputScaleGradientx/ControlInputScaleGradientx.cpp	(revision 12878)
@@ -37,5 +37,5 @@
 
 	/*Clean up and return*/
-	xfree((void**)&control_type);
-	xfree((void**)&scalar_list);
+	xDelete<int>(control_type);
+	xDelete<double>(scalar_list);
 }
Index: issm/branches/trunk-jpl-damage/src/c/modules/ControlInputScaleGradientx/ControlInputScaleGradientx.h
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/ControlInputScaleGradientx/ControlInputScaleGradientx.h	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/ControlInputScaleGradientx/ControlInputScaleGradientx.h	(revision 12878)
@@ -5,5 +5,5 @@
 #define _CONTROLINPUTSSCALEGRADIENTX_H
 
-#include "../../objects/objects.h"
+#include "../../classes/objects/objects.h"
 #include "../../Container/Container.h"
 
Index: issm/branches/trunk-jpl-damage/src/c/modules/ControlInputSetGradientx/ControlInputSetGradientx.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/ControlInputSetGradientx/ControlInputSetGradientx.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/ControlInputSetGradientx/ControlInputSetGradientx.cpp	(revision 12878)
@@ -27,5 +27,5 @@
 
 	/*Clean up and return*/
-	xfree((void**)&control_type);
+	xDelete<int>(control_type);
 
 }
@@ -39,4 +39,4 @@
 
 	/*Clean up and return*/
-	xfree((void**)&serial_gradient);
+	xDelete<double>(serial_gradient);
 }
Index: issm/branches/trunk-jpl-damage/src/c/modules/ControlInputSetGradientx/ControlInputSetGradientx.h
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/ControlInputSetGradientx/ControlInputSetGradientx.h	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/ControlInputSetGradientx/ControlInputSetGradientx.h	(revision 12878)
@@ -5,5 +5,5 @@
 #define _CONTROLINPUTSSETGRADIENTX_H
 
-#include "../../objects/objects.h"
+#include "../../classes/objects/objects.h"
 #include "../../Container/Container.h"
 
Index: issm/branches/trunk-jpl-damage/src/c/modules/CostFunctionx/CostFunctionx.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/CostFunctionx/CostFunctionx.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/CostFunctionx/CostFunctionx.cpp	(revision 12878)
@@ -35,5 +35,5 @@
 
 	/*Assign output pointers: */
-	xfree((void**)&responses);
+	xDelete<int>(responses);
 	*pJ=J;
 }
Index: issm/branches/trunk-jpl-damage/src/c/modules/CostFunctionx/CostFunctionx.h
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/CostFunctionx/CostFunctionx.h	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/CostFunctionx/CostFunctionx.h	(revision 12878)
@@ -7,5 +7,5 @@
 
 #include "../../Container/Container.h"
-#include "../../objects/objects.h"
+#include "../../classes/objects/objects.h"
 
 /* local prototypes: */
Index: issm/branches/trunk-jpl-damage/src/c/modules/CreateJacobianMatrixx/CreateJacobianMatrixx.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/CreateJacobianMatrixx/CreateJacobianMatrixx.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/CreateJacobianMatrixx/CreateJacobianMatrixx.cpp	(revision 12878)
@@ -10,5 +10,5 @@
 #include "../../EnumDefinitions/EnumDefinitions.h"
 
-void CreateJacobianMatrixx(Matrix** pJff,Elements* elements,Nodes* nodes, Vertices* vertices,Loads* loads,Materials* materials, Parameters* parameters,double kmax){
+void CreateJacobianMatrixx(Matrix** pJff,Elements* elements,Nodes* nodes, Vertices* vertices,Loads* loads,Materials* materials, Parameters* parameters,IssmDouble kmax){
 	
 	int      i,connectivity;
Index: issm/branches/trunk-jpl-damage/src/c/modules/CreateJacobianMatrixx/CreateJacobianMatrixx.h
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/CreateJacobianMatrixx/CreateJacobianMatrixx.h	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/CreateJacobianMatrixx/CreateJacobianMatrixx.h	(revision 12878)
@@ -7,8 +7,8 @@
 
 #include "../../Container/Container.h"
-#include "../../objects/objects.h"
+#include "../../classes/objects/objects.h"
 
 /* local prototypes: */
-void CreateJacobianMatrixx(Matrix** pJff,Elements* elements,Nodes* nodes, Vertices* vertices,Loads* loads,Materials* materials, Parameters* parameters,double kmax);
+void CreateJacobianMatrixx(Matrix** pJff,Elements* elements,Nodes* nodes, Vertices* vertices,Loads* loads,Materials* materials, Parameters* parameters,IssmDouble kmax);
 
 #endif  /* _CREATEJACOBIANMATRIXX_H */
Index: issm/branches/trunk-jpl-damage/src/c/modules/CreateNodalConstraintsx/CreateNodalConstraintsx.h
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/CreateNodalConstraintsx/CreateNodalConstraintsx.h	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/CreateNodalConstraintsx/CreateNodalConstraintsx.h	(revision 12878)
@@ -6,5 +6,5 @@
 
 #include "../../Container/Container.h"
-#include "../../objects/objects.h"
+#include "../../classes/objects/objects.h"
 
 /* local prototypes: */
Index: issm/branches/trunk-jpl-damage/src/c/modules/DakotaResponsesx/DakotaResponsesx.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/c/modules/DakotaResponsesx/DakotaResponsesx.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/c/modules/DakotaResponsesx/DakotaResponsesx.cpp	(revision 12878)
@@ -30,8 +30,7 @@
 	double femmodel_response;
 	int    flag;
-	double* vertex_response=NULL;
-	double* qmu_response=NULL;
-
-	double* responses_pointer=NULL;
+	double *vertex_response   = NULL;
+	double *qmu_response      = NULL;
+	double *responses_pointer = NULL;
 
 	/*retrieve npart: */
@@ -66,6 +65,6 @@
 
 			/*Free ressources:*/
-			xfree((void**)&vertex_response);
-			xfree((void**)&qmu_response);
+			xDelete<double>(vertex_response);
+			xDelete<double>(qmu_response);
 
 		}
@@ -87,5 +86,5 @@
 		}
 		else if (flag==NodalEnum){
-			_error_(" nodal response functions not supported yet!");
+			_error2_("nodal response functions not supported yet!");
 
 			/*increment response_pointer :*/
@@ -105,5 +104,5 @@
 			}
 		}
-		else _error_("%s%i%s"," flag type ",flag," not supported yet for response analysis");
+		else _error2_("flag type " << flag << " not supported yet for response analysis");
 	}
 
@@ -111,8 +110,8 @@
 	/*Synthesize echo: {{{*/
 	if(my_rank==0){
-		printf("   responses: %i: ",d_numresponses);
-		for(i=0;i<d_numresponses-1;i++)printf("%g|",d_responses[i]);
-		printf("%g",d_responses[d_numresponses-1]);
-		printf("\n");
+		_printString_("   responses: " << d_numresponses << ": ");
+		for(i=0;i<d_numresponses-1;i++)_printString_(d_responses[i] << "|");
+		_printString_(d_responses[d_numresponses-1]);
+		_printLine_("");
 	}
 	/*}}}*/
